org.apache.calcite.avatica.proto

## Interface Common.FrameOrBuilder

All Superinterfaces:
  com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder

All Known Implementing Classes:
  Common.Frame, Common.Frame.Builder

Enclosing class:
  Common

    public static interface Common.FrameOrBuilder
    extends com.google.protobuf.MessageOrBuilder

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `getDone()` `bool done = 2;`
`long` `getOffset()` `uint64 offset = 1;`
`Common.Row` `getRows(int index)` `repeated .Row rows = 3;`
`int` `getRowsCount()` `repeated .Row rows = 3;`
`List<Common.Row>` `getRowsList()` `repeated .Row rows = 3;`
`Common.RowOrBuilder` `getRowsOrBuilder(int index)` `repeated .Row rows = 3;`
`List<? extends Common.RowOrBuilder>` `getRowsOrBuilderList()` `repeated .Row rows = 3;`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Method Detail

#### getOffset

    long getOffset()

`uint64 offset = 1;`

#### getDone

    boolean getDone()

`bool done = 2;`

#### getRowsList

    List<Common.Row> getRowsList()

`repeated .Row rows = 3;`

#### getRows

    Common.Row getRows(int index)

`repeated .Row rows = 3;`

#### getRowsCount

    int getRowsCount()

`repeated .Row rows = 3;`

#### getRowsOrBuilderList

    List<? extends Common.RowOrBuilder> getRowsOrBuilderList()

`repeated .Row rows = 3;`

#### getRowsOrBuilder

    Common.RowOrBuilder getRowsOrBuilder(int index)

`repeated .Row rows = 3;`